Download it now!
Bug 67554 - FILEOPEN: Writer crashes on importing OOXML
Summary: FILEOPEN: Writer crashes on importing OOXML
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: BSA target:4.2.0 target:4.1.2 target:...
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-30 17:37 UTC by Osama Khalid
Modified: 2013-08-15 13:46 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
A document that causes the crash (85.47 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-07-30 17:37 UTC, Osama Khalid
Details
console + bt with symbols on master sources (21.92 KB, text/plain)
2013-08-14 23:41 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Osama Khalid 2013-07-30 17:37:41 UTC
Created attachment 83317 [details]
A document that causes the crash

Problem description: 

The attached file is an OOXML file that was originally produced using Microsoft Office.  I managed to read it properly, but when I tried to edit and save it using LibreOffice, I become no longer able to open the edited copy because LibreOffice crashes every time.  Below is the backtrace.

Here is the gdb backtrace:
Starting program: /usr/lib64/libreoffice/program/soffice.bin --writer
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Traceback (most recent call last):
  File "/usr/share/gdb/auto-load/usr/lib64/libgobject-2.0.so.0.3600.3-gdb.py", line 9, in <module>
    from gobject import register
  File "/usr/share/glib-2.0/gdb/gobject.py", line 3, in <module>
    import gdb.backtrace
ImportError: No module named backtrace
[New Thread 0x7ffff1b0f700 (LWP 7870)]
[New Thread 0x7fffe938a700 (LWP 7871)]
[New Thread 0x7fffe8b89700 (LWP 7872)]
[New Thread 0x7fffe3a02700 (LWP 7873)]
[Thread 0x7fffe938a700 (LWP 7871) exited]
[New Thread 0x7fffe938a700 (LWP 7874)]
[New Thread 0x7fffe20f8700 (LWP 7875)]
[New Thread 0x7fffe11e2700 (LWP 7876)]
[Thread 0x7fffe20f8700 (LWP 7875) exited]
Detaching after fork from child process 7882.
[New Thread 0x7fffe20f8700 (LWP 7884)]
[New Thread 0x7fffcb78c700 (LWP 7885)]
[New Thread 0x7fffc9d6b700 (LWP 7886)]
[Thread 0x7fffc9d6b700 (LWP 7886) exited]
[New Thread 0x7fffc9d6b700 (LWP 7887)]
[Thread 0x7fffc9d6b700 (LWP 7887) exited]
[Thread 0x7fffe20f8700 (LWP 7884) exited]

Program received signal SIGSEGV, Segmentation fault.
SwNodeIndex::SwNodeIndex (this=0x7fffffffb9a0, rIdx=<error reading variable: Cannot access memory at address 0xffffffffffffffe8>, nDiff=0)
    at /usr/src/debug/libreoffice-4.1.0.3/sw/source/core/docnode/ndindex.cxx:61
61              pNd = rIdx.pNd;
(gdb) thread apply all backtrace

Thread 10 (Thread 0x7fffcb78c700 (LWP 7885)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffff7dd6349 in osl_waitCondition (Condition=0x1259eb0, pTimeout=0x0) at /usr/src/debug/libreoffice-4.1.0.3/sal/osl/unx/conditn.cxx:290
#2  0x00007fffe01249d4 in wait (pTimeout=0x0, this=0x7fffcc94bf68) at /usr/src/debug/libreoffice-4.1.0.3/include/osl/conditn.hxx:75
#3  GrammarCheckingIterator::DequeueAndCheck (this=0x7fffcc94be10) at /usr/src/debug/libreoffice-4.1.0.3/linguistic/source/gciterator.cxx:626
#4  0x00007ffff7db7fd7 in osl_thread_start_Impl (pData=0x1259f20) at /usr/src/debug/libreoffice-4.1.0.3/sal/osl/unx/thread.c:251
#5  0x0000003975807c53 in start_thread (arg=0x7fffcb78c700) at pthread_create.c:308
#6  0x00000039754f513d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 8 (Thread 0x7fffe11e2700 (LWP 7876)):
#0  0x00000039754eab6d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fffea6abf95 in poll (__timeout=1000, __nfds=1, __fds=0x7fffe11e1c20) at /usr/include/bits/poll2.h:46
#2  x11::SelectionManager::dispatchEvent (this=this@entry=0x7fffe11f0008, millisec=millisec@entry=1000)
    at /usr/src/debug/libreoffice-4.1.0.3/vcl/unx/generic/dtrans/X11_selection.cxx:3721
#3  0x00007fffea6ac0ee in x11::SelectionManager::run (pThis=0x7fffe11f0008)
    at /usr/src/debug/libreoffice-4.1.0.3/vcl/unx/generic/dtrans/X11_selection.cxx:3755
#4  0x00007ffff7db7fd7 in osl_thread_start_Impl (pData=0x11122e0) at /usr/src/debug/libreoffice-4.1.0.3/sal/osl/unx/thread.c:251
#5  0x0000003975807c53 in start_thread (arg=0x7fffe11e2700) at pthread_create.c:308
#6  0x00000039754f513d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 6 (Thread 0x7fffe938a700 (LWP 7874)):
#0  0x00000039754eab6d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fffea692698 in poll (__timeout=-1, __nfds=2, __fds=0x7fffe975d9e8) at /usr/include/bits/poll2.h:46
#2  ICEConnectionWorker (data=0x65a460) at /usr/src/debug/libreoffice-4.1.0.3/vcl/unx/generic/app/sm.cxx:634
#3  0x00007ffff7db7fd7 in osl_thread_start_Impl (pData=0x106d070) at /usr/src/debug/libreoffice-4.1.0.3/sal/osl/unx/thread.c:251
#4  0x0000003975807c53 in start_thread (arg=0x7fffe938a700) at pthread_create.c:308
#5  0x00000039754f513d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 5 (Thread 0x7fffe3a02700 (LWP 7873)):
#0  0x00000039754eab6d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00000039778480f4 in g_main_context_poll (priority=2147483647, n_fds=3, fds=0x7fffd80010e0, timeout=-1, context=0xe68140) at gmain.c:3995
#2  g_main_context_iterate (context=0xe68140, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3696
#3  0x000000397784855a in g_main_loop_run (loop=0xe680d0) at gmain.c:3895
---Type <return> to continue, or q <return> to quit---
#4  0x00000039794c6d46 in gdbus_shared_thread_func (user_data=0xe68110) at gdbusprivate.c:278
#5  0x000000397786c185 in g_thread_proxy (data=0xe63b70) at gthread.c:798
#6  0x0000003975807c53 in start_thread (arg=0x7fffe3a02700) at pthread_create.c:308
#7  0x00000039754f513d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 4 (Thread 0x7fffe8b89700 (LWP 7872)):
#0  0x00000039754f5ded in accept () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007ffff7db29f0 in osl_acceptPipe (pPipe=0xe50410) at /usr/src/debug/libreoffice-4.1.0.3/sal/osl/unx/pipe.c:457                              
#2  0x00007ffff7b70ec3 in accept (Connection=..., this=0xe4dcb8) at /usr/src/debug/libreoffice-4.1.0.3/include/osl/pipe.hxx:132                     
#3  desktop::OfficeIPCThread::execute (this=0xe4dc90) at /usr/src/debug/libreoffice-4.1.0.3/desktop/source/app/officeipcthread.cxx:678
#4  0x00007ffff6bfdc96 in salhelper::Thread::run (this=0xe4dc90) at /usr/src/debug/libreoffice-4.1.0.3/salhelper/source/thread.cxx:40
#5  0x00007ffff6bfde6a in osl::threadFunc (param=0xe4dca0) at /usr/src/debug/libreoffice-4.1.0.3/include/osl/thread.hxx:187
#6  0x00007ffff7db7fd7 in osl_thread_start_Impl (pData=0xe4fa60) at /usr/src/debug/libreoffice-4.1.0.3/sal/osl/unx/thread.c:251
#7  0x0000003975807c53 in start_thread (arg=0x7fffe8b89700) at pthread_create.c:308
#8  0x00000039754f513d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 2 (Thread 0x7ffff1b0f700 (LWP 7870)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007ffff7dbe6e8 in rtl_cache_wsupdate_wait (seconds=10) at /usr/src/debug/libreoffice-4.1.0.3/sal/rtl/alloc_cache.cxx:1376
#2  rtl_cache_wsupdate_all (arg=<optimized out>) at /usr/src/debug/libreoffice-4.1.0.3/sal/rtl/alloc_cache.cxx:1516
#3  0x0000003975807c53 in start_thread (arg=0x7ffff1b0f700) at pthread_create.c:308
#4  0x00000039754f513d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 1 (Thread 0x7ffff1b21840 (LWP 7864)):
#0  SwNodeIndex::SwNodeIndex (this=0x7fffffffb9a0, rIdx=<error reading variable: Cannot access memory at address 0xffffffffffffffe8>, nDiff=0)
    at /usr/src/debug/libreoffice-4.1.0.3/sw/source/core/docnode/ndindex.cxx:61
#1  0x00007fffcf3b5cc0 in SwPosition::SwPosition (this=0x7fffffffb9a0, rNodeIndex=...)
    at /usr/src/debug/libreoffice-4.1.0.3/sw/source/core/crsr/pam.cxx:59
#2  0x00007fffcf3b64d1 in SwPaM::SwPaM (this=0x7fffffffb950, rMark=..., 
    rPoint=<error reading variable: Cannot access memory at address 0xffffffffffffffe8>, nMarkOffset=0, nPointOffset=0, pRing=<optimized out>)
    at /usr/src/debug/libreoffice-4.1.0.3/sw/source/core/crsr/pam.cxx:354

#3  0x00007fffcf4a8abb in SwDoc::TextToTable (this=0x14b3a60, rTableNodes=std::vector of length 2, capacity 2 = {...})
    at /usr/src/debug/libreoffice-4.1.0.3/sw/source/core/docnode/ndtbl.cxx:1142
#4  0x00007fffcf80f4be in SwXText::convertToTable (this=0x7fffc8dc3f50, rTableRanges=..., rCellProperties=..., rRowProperties=..., 
---Type <return> to continue, or q <return> to quit---
    rTableProperties=...) at /usr/src/debug/libreoffice-4.1.0.3/sw/source/core/unocore/unotext.cxx:2274
#5  0x00007fffc815ada3 in writerfilter::dmapper::DomainMapperTableHandler::endTable (this=0x15519d0, nestedTableLevel=<optimized out>)
    at /usr/src/debug/libreoffice-4.1.0.3/writerfilter/source/dmapper/DomainMapperTableHandler.cxx:798
#6  0x00007fffc81634a4 in writerfilter::TableManager<com::sun::star::uno::Reference<com::sun::star::text::XTextRange>, boost::shared_ptr<writerfilter::dmapper::TablePropertyMap> >::resolveCurrentTable (this=this@entry=0x159fc50)
    at /usr/src/debug/libreoffice-4.1.0.3/writerfilter/inc/resourcemodel/TableManager.hxx:1016
#7  0x00007fffc8163608 in writerfilter::TableManager<com::sun::star::uno::Reference<com::sun::star::text::XTextRange>, boost::shared_ptr<writerfilter::dmapper::TablePropertyMap> >::endLevel (this=this@entry=0x159fc50)
    at /usr/src/debug/libreoffice-4.1.0.3/writerfilter/inc/resourcemodel/TableManager.hxx:742
#8  0x00007fffc815e267 in writerfilter::dmapper::DomainMapperTableManager::endLevel (this=0x159fc50)
    at /usr/src/debug/libreoffice-4.1.0.3/writerfilter/source/dmapper/DomainMapperTableManager.cxx:437
#9  0x00007fffc8170a48 in writerfilter::dmapper::DomainMapper_Impl::PopShapeContext (this=0x154eb00)
    at /usr/src/debug/libreoffice-4.1.0.3/writerfilter/source/dmapper/DomainMapper_Impl.cxx:1745
#10 0x00007fffc92bb7e9 in sax_fastparser::FastSaxParser::callbackEndElement (this=0x7fffc9fb7820)
    at /usr/src/debug/libreoffice-4.1.0.3/sax/source/fastparser/fastparser.cxx:862
#11 0x000000397b40af60 in doContent (parser=parser@entry=0x157ee00, startTagLevel=startTagLevel@entry=0, enc=<optimized out>, 
    s=s@entry=0x15814c8 "<w:document xmlns:o=\"urn:schemas-microsoft-com:office:office\" xmlns:r=\"http://schemas.openxmlformats.org/officeDocument/2006/relationships\" xmlns:v=\"urn:schemas-microsoft-com:vml\" xmlns:w=\"http://sche"..., end=end@entry=0x1585490 "\020@", 
    nextPtr=nextPtr@entry=0x157ee30, haveMore=1 '\001') at lib/xmlparse.c:2532
#12 0x000000397b40b8be in contentProcessor (parser=parser@entry=0x157ee00, 
    start=start@entry=0x15814c8 "<w:document xmlns:o=\"urn:schemas-microsoft-com:office:office\" xmlns:r=\"http://schemas.openxmlformats.org/officeDocument/2006/relationships\" xmlns:v=\"urn:schemas-microsoft-com:vml\" xmlns:w=\"http://sche"..., end=end@entry=0x1585490 "\020@", 
    endPtr=endPtr@entry=0x157ee30) at lib/xmlparse.c:2105
#13 0x000000397b409c51 in doProlog (parser=parser@entry=0x157ee00, enc=<optimized out>, 
    s=0x15814c8 "<w:document xmlns:o=\"urn:schemas-microsoft-com:office:office\" xmlns:r=\"http://schemas.openxmlformats.org/officeDocument/2006/relationships\" xmlns:v=\"urn:schemas-microsoft-com:vml\" xmlns:w=\"http://sche"..., 
    s@entry=0x1581490 "<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>\n<w:document xmlns:o=\"urn:schemas-microsoft-com:office:office\" xmlns:r=\"http://schemas.openxmlformats.org/officeDocument/2006/relationships\" xmln"..., end=end@entry=0x1585490 "\020@", tok=29, 
    next=<optimized out>, nextPtr=nextPtr@entry=0x157ee30, haveMore=1 '\001') at lib/xmlparse.c:4016
#14 0x000000397b40a3dd in prologProcessor (parser=0x157ee00, 
    s=0x1581490 "<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>\n<w:document xmlns:o=\"urn:schemas-microsoft-com:office:office\" xmlns:r=\"http://schemas.openxmlformats.org/officeDocument/2006/relationships\" xmln"..., end=0x1585490 "\020@", nextPtr=0x157ee30) at lib/xmlparse.c:3739
#15 0x000000397b40d84f in XML_ParseBuffer (parser=0x157ee00, len=<optimized out>, isFinal=0) at lib/xmlparse.c:1651
#16 0x00007fffc92baea4 in sax_fastparser::FastSaxParser::parse (this=this@entry=0x7fffc9fb7820)
---Type <return> to continue, or q <return> to quit---
    at /usr/src/debug/libreoffice-4.1.0.3/sax/source/fastparser/fastparser.cxx:659
#17 0x00007fffc92bcfff in sax_fastparser::FastSaxParser::parseStream (this=0x7fffc9fb7820, maStructSource=...)
    at /usr/src/debug/libreoffice-4.1.0.3/sax/source/fastparser/fastparser.cxx:473
#18 0x00007fffc8200736 in writerfilter::ooxml::OOXMLDocumentImpl::resolve (this=<optimized out>, rStream=...)
    at /usr/src/debug/libreoffice-4.1.0.3/writerfilter/source/ooxml/OOXMLDocumentImpl.cxx:343
#19 0x00007fffc81f7472 in WriterFilter::filter (this=0x7fffc8dfd0c8, aDescriptor=...)
    at /usr/src/debug/libreoffice-4.1.0.3/writerfilter/source/filter/ImportFilter.cxx:118
#20 0x00007ffff680535d in SfxObjectShell::ImportFrom (this=0x14b33a0, rMedium=..., bInsert=<optimized out>)
    at /usr/src/debug/libreoffice-4.1.0.3/sfx2/source/doc/objstor.cxx:2261
#21 0x00007ffff6810cdb in SfxObjectShell::DoLoad (this=0x14b33a0, pMed=pMed@entry=0x14a23c0)
    at /usr/src/debug/libreoffice-4.1.0.3/sfx2/source/doc/objstor.cxx:754                                                                             
#22 0x00007ffff6837f84 in SfxBaseModel::load (this=0x7fffe9848f38, seqArguments=...)                                                                  
    at /usr/src/debug/libreoffice-4.1.0.3/sfx2/source/doc/sfxbasemodel.cxx:1890                                                                       
#23 0x00007ffff68bcb2d in SfxFrameLoader_Impl::load (this=0x7fffc8d62c00, rArgs=..., _rTargetFrame=...)                                               
    at /usr/src/debug/libreoffice-4.1.0.3/sfx2/source/view/frmload.cxx:598
#24 0x00007fffe2bc5e4d in framework::LoadEnv::impl_loadContent (this=this@entry=0x7fffc9d6eb40)
    at /usr/src/debug/libreoffice-4.1.0.3/framework/source/loadenv/loadenv.cxx:1168
#25 0x00007fffe2bc6738 in framework::LoadEnv::startLoading (this=this@entry=0x7fffc9d6eb40)
    at /usr/src/debug/libreoffice-4.1.0.3/framework/source/loadenv/loadenv.cxx:397
#26 0x00007fffe2b3f7fc in framework::LoadDispatcher::impl_dispatch (this=0x7fffc9d6eac0, rURL=..., lArguments=..., xListener=...)
    at /usr/src/debug/libreoffice-4.1.0.3/framework/source/dispatch/loaddispatcher.cxx:119
#27 0x00007fffe2b3fdb6 in framework::LoadDispatcher::dispatch (this=<optimized out>, aURL=..., lArguments=...)
    at /usr/src/debug/libreoffice-4.1.0.3/framework/source/dispatch/loaddispatcher.cxx:58
#28 0x00007fffe2cbbc8a in framework::RecentFilesMenuController::ExecuteHdl_Impl (pLoadRecentFile=0x138ab40)
    at /usr/src/debug/libreoffice-4.1.0.3/framework/source/uielement/recentfilesmenucontroller.cxx:365
#29 0x00007ffff4a811ea in Call (pCaller=<optimized out>, this=<optimized out>) at /usr/src/debug/libreoffice-4.1.0.3/include/tools/link.hxx:123
#30 ImplHandleUserEvent (pSVEvent=0x14a6240) at /usr/src/debug/libreoffice-4.1.0.3/vcl/source/window/winproc.cxx:1986
#31 ImplWindowFrameProc (pWindow=<optimized out>, nEvent=<optimized out>, pEvent=0x14a6240)
    at /usr/src/debug/libreoffice-4.1.0.3/vcl/source/window/winproc.cxx:2601
#32 0x00007ffff4a87898 in CallCallback (pEvent=0x14a6240, nEvent=22, this=0xf520f0) at /usr/src/debug/libreoffice-4.1.0.3/vcl/inc/salframe.hxx:243
#33 SalGenericDisplay::DispatchInternalEvent (this=0x6a4bc0) at /usr/src/debug/libreoffice-4.1.0.3/vcl/generic/app/gendisp.cxx:91
#34 0x00007fffea928e4f in GtkData::userEventFn (data=data@entry=0x623a30) at /usr/src/debug/libreoffice-4.1.0.3/vcl/unx/gtk/app/gtkdata.cxx:935
#35 0x00007fffea928ec1 in call_userEventFn (data=0x623a30) at /usr/src/debug/libreoffice-4.1.0.3/vcl/unx/gtk/app/gtkdata.cxx:945
#36 0x0000003977847e06 in g_main_dispatch (context=0x64e4a0) at gmain.c:3054
---Type <return> to continue, or q <return> to quit---
#37 g_main_context_dispatch (context=context@entry=0x64e4a0) at gmain.c:3630
#38 0x0000003977848158 in g_main_context_iterate (context=context@entry=0x64e4a0, block=block@entry=0, dispatch=dispatch@entry=1, 
    self=<optimized out>) at gmain.c:3701
#39 0x00000039778481fc in g_main_context_iteration (context=0x64e4a0, may_block=0) at gmain.c:3762
#40 0x00007fffea928bd9 in GtkData::Yield (this=0x623a30, bWait=<optimized out>, bHandleAllCurrentEvents=<optimized out>)
    at /usr/src/debug/libreoffice-4.1.0.3/vcl/unx/gtk/app/gtkdata.cxx:574
#41 0x00007ffff47b3e44 in ImplYield (i_bAllEvents=false, i_bWait=true) at /usr/src/debug/libreoffice-4.1.0.3/vcl/source/app/svapp.cxx:422
#42 Application::Yield (i_bAllEvents=i_bAllEvents@entry=false) at /usr/src/debug/libreoffice-4.1.0.3/vcl/source/app/svapp.cxx:456
#43 0x00007ffff47b3ee7 in Application::Execute () at /usr/src/debug/libreoffice-4.1.0.3/vcl/source/app/svapp.cxx:401
#44 0x00007ffff7b4cd9c in desktop::Desktop::Main (this=0x7fffffffdd10) at /usr/src/debug/libreoffice-4.1.0.3/desktop/source/app/app.cxx:1720
#45 0x00007ffff47bbba1 in ImplSVMain () at /usr/src/debug/libreoffice-4.1.0.3/vcl/source/app/svmain.cxx:162
#46 0x00007ffff47bbbc2 in SVMain () at /usr/src/debug/libreoffice-4.1.0.3/vcl/source/app/svmain.cxx:198
#47 0x00007ffff7b74655 in soffice_main () at /usr/src/debug/libreoffice-4.1.0.3/desktop/source/app/sofficemain.cxx:82
#48 0x000000000040071b in sal_main () at /usr/src/debug/libreoffice-4.1.0.3/desktop/source/app/main.c:48
#49 main (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/libreoffice-4.1.0.3/desktop/source/app/main.c:47


Steps to reproduce:
1. Open a Microsoft Office-produced document using LibreOffice.
2. Edit it.
3. Save it.
4. Try to open it again using LibreOffice file.

Current behavior:

LibreOffice crashes.
 
Operating System: Fedora
Version: 4.1.0.4 release
Comment 1 retired 2013-07-31 07:00:33 UTC
I can confirm a crash trying to open the example file on Ubuntu 13.04 w LO 4.1.0.4.

I can't edit it as described by bug reporter. LO doesn't manage to open that file - it crashes as soon as the file is opened.
Comment 2 retired 2013-07-31 07:01:26 UTC
Since this also crashes LO 4.1.0.4 on OS X 10.8.4 setting OS  to ALL.
Comment 3 Julien Nabet 2013-08-14 23:41:06 UTC
Created attachment 84078 [details]
console + bt with symbols on master sources

On pc Debian x86-64 with master sources updated today, I had a crash just by opening the file.
I attached bt + console logs.
Comment 4 Commit Notification 2013-08-15 10:54:59 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ce791697cbf260b592f7cad095539a414888823f

Resolves: fdo#67554 avoid ooxml import crash



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2013-08-15 13:46:07 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=52aa68ba22e62a6c4e2699574cc6dd812c011c51&h=libreoffice-4-1

Resolves: fdo#67554 avoid ooxml import crash


It will be available in LibreOffice 4.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2013-08-15 13:46:39 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3ea53259def615152c2edb0381cbe0cd5a78cc48&h=libreoffice-4-0

Resolves: fdo#67554 avoid ooxml import crash


It will be available in LibreOffice 4.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.